{
    template:'${tmpl}',
    data(){
        return {
          searchName:"",
          showSearch:true,
          showList:true,
          tmlist:[],
          bigdatatmlist:[],
          tminfo:{},
          tmflows:[],
          count:0,
          currentPage:1,
          pageSize:5,
          status:{"1":"有效","2":"无效","3":"待审","4":"不定","5":"未知状态"},
          tm_type:{"p":"普通商标","J":"集体商标","Z":"证明商标","T":"特殊商标"},
        }
    },
    mounted:function(){

    },
    methods:{
      getBlur(){
        
      },
      applierChange(){
        this.$root.getReq("/web/calculatepriceCtl/getEntregistryByCompanyName",{companyName:this.searchName}).then(d=>{
          console.log(d);
        });
      },
      tmSearch(){
        if(this.searchName=="" || this.searchName==null){
          this.showSearch=false;
          this.tmlist=[];
        }else{
          this.showSearch=false;
          var currentUser=this.$store.state.currentUser;
          console.log(currentUser);
          this.$root.showMask();
          this.$root.getReq("/web/trademarkCtl/findBigDataTmByCompanyName",{"cname":this.searchName,"ps":this.pageSize,"cp":this.currentPage}).then(d=>{
            console.log(d);
            if(d.status==0){
              console.log("@@@@@@@@@@@@@");
              this.count=d.total;
              this.tmlist=d.data;
              console.log(this.count);
              console.log(this.tmlist);
            }
            this.$root.hideMask();
          }).catch(e=>{
            console.log(e);
            this.$root.hideMask();
          });
        }
      },
      nextPage(){
        this.currentPage=this.currentPage+1;
        this.tmSearch();
      },
      beforePage(){
        this.currentPage=this.currentPage-1;
        this.tmSearch();
      },
      rowClick(tm){
        console.log(tm);
        this.showList=false;
        this.tminfo=tm;

      },
      showList(){
        this.showList=true;
      },
    },

    vname:"gsb-mobiletmsearch"
}
